Bug 740964 - Users/Roles: Should not be able to remove all roles from last/admin user
Summary: Users/Roles: Should not be able to remove all roles from last/admin user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 23:11 UTC by Corey Welton
Modified: 2018-08-30 21:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:58:16 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-23 23:11:42 UTC
Description of problem:
All roles can be removed from admin user

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Login as admin
2.  Administration > Users > Admin > Roles & Permissions
3.  Remove all roles; Save Roles
4. Navigate elsewhere in UI.
  
Actual results:
Can only see dashboard. You're pretty much hosed.

Expected results:
Cannot remove admin rights from admin user.

Additional info:

Comment 1 Mike McCune 2011-09-28 21:24:55 UTC
Will attempt to fix in V1 where we add the following API/model rules:

* The Administrator role is read-only
* One user must have the Administrator role.

Comment 2 Mike McCune 2012-01-26 19:38:30 UTC
mass move to CFSE product.

Comment 5 Corey Welton 2012-02-17 21:47:43 UTC
QA Verified.


Note You need to log in before you can comment on or make changes to this bug.